%define upstream_name Unexpected
%define upstream_version 0.42.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Exception class composed from traits
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/PJFL/unexpected/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::StackTrace) >= 1.260.0
BuildRequires: perl(Exporter::Tiny) >= 0.26.0
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Module::Runtime) >= 0.13.0
BuildRequires: perl(Moo) >= 1.3.0
BuildRequires: perl(Package::Stash) >= 0.330.0
BuildRequires: perl(Sub::Install) >= 0.925.0
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(Type::Tiny) >= 0.30.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(namespace::clean) >= 0.230.0
BuildRequires: perl(namespace::sweep) >= 0.6.0
BuildRequires: perl(version) >= 0.880.0
BuildArch:  noarch

%description
An exception class that supports error messages with placeholders, a
throw method with automatic re-throw upon detection of self, conditional
throw if an exception was caught and a simplified stack trace in
addition to the error message with full stack trace.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.42.1-3.mga6
+ Revision: 1035434
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.42.1-2.mga6
+ Revision: 971344
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.42.1-1.mga6
+ Revision: 891571
- update to 0.42.1

* Mon Sep 28 2015 sander85 <sander85> 0.41.1-1.mga6
+ Revision: 884844
- update to 0.41.1

* Sun Sep 06 2015 sander85 <sander85> 0.40.1-1.mga6
+ Revision: 873667
- update to 0.40.1

* Sat Jul 04 2015 sander85 <sander85> 0.38.1-1.mga6
+ Revision: 850418
- update to 0.38.1

* Sun Oct 19 2014 pterjan <pterjan> 0.34.1-1.mga5
+ Revision: 791838
- 0.34.1

* Wed Oct 15 2014 umeabot <umeabot> 0.30.1-3.mga5
+ Revision: 742000
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.1-2.mga5
+ Revision: 686781
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 0.30.1-1.mga5
+ Revision: 672932
- update to 0.30.1

* Thu Jun 26 2014 jquelin <jquelin> 0.23.2-1.mga5
+ Revision: 640021
- update to 0.23.2

* Fri Mar 14 2014 jquelin <jquelin> 0.22.1-1.mga5
+ Revision: 603684
- removing failing test on buildsystem
- update to 0.22.1

* Sat Oct 19 2013 umeabot <umeabot> 0.5.3-2.mga4
+ Revision: 530768
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 sander85 <sander85> 0.5.3-1.mga4
+ Revision: 459824
- imported package perl-Unexpected

